incubator-couchdb-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Chris Anderson" <jch...@apache.org>
Subject Re: curl version requirement
Date Sun, 02 Nov 2008 02:55:37 GMT
Fixed in r709833. Thanks ask!

This change works on my MacBook (the runner.sh tests all passed) but
if it causes trouble on other platforms maybe there's a conditional
solution.

-- this reminds me that the test/runner.sh could be better integrated
somehow. It requires a CouchDB to run HTTP requests against, any ideas
are welcome.

Chris

On Sat, Nov 1, 2008 at 4:32 PM, Ask Bjørn Hansen <ask@apache.org> wrote:
> Hi everyone,
>
> From the svn log it isn't clear that there's a known reason to require curl
> 7.16.0.
>
> 7.15.5 is what's on RHEL/CentOS 5, so compilation there is much easier if we
> only require 7.15.5 (unless there's a good reason to need 7.16.0).
>
>
>  - ask
>
> --- configure.ac        (revision 709789)
> +++ configure.ac        (working copy)
> @@ -104,7 +104,7 @@
>  AC_SUBST(ICU_LOCAL_CFLAGS)
>  AC_SUBST(ICU_LOCAL_LDFLAGS)
>
> -AC_CHECK_CURL(7.16.0)
> +AC_CHECK_CURL(7.15.5)
>  AC_SUBST(CURL_CFLAGS)
>  AC_SUBST(CURL_LIBS)
>
>
>



-- 
Chris Anderson
http://jchris.mfdz.com

Mime
View raw message